## org.codehaus.groovy.grails.support
Class GrailsTestSuite

    java.lang.Object
      junit.framework.TestSuite
          org.codehaus.groovy.grails.support.GrailsTestSuite

All Implemented Interfaces:
  junit.framework.Test

    public class GrailsTestSuite

extends junit.framework.TestSuite

IoC class to inject properties of Grails test case classes.

Since:
  Aug 28, 2005
Author:
  Steven Devijver

Constructor Summary
`GrailsTestSuite(ApplicationContext applicationContext, Class clazz)`

Method Summary
`List` `getCleaningOrder()`
`boolean` `isTransactional()`
`void` `runTest(junit.framework.Test test, junit.framework.TestResult result)`

Methods inherited from class junit.framework.TestSuite
`addTest, addTestSuite, countTestCases, createTest, getName, getTestConstructor, run, setName, testAt, testCount, tests, toString, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsTestSuite

    public GrailsTestSuite(ApplicationContext applicationContext,
                           Class clazz)

Method Detail

### runTest

    public void runTest(junit.framework.Test test,
                        junit.framework.TestResult result)

  Overrides:
    `runTest` in class `junit.framework.TestSuite`

### getCleaningOrder

    public List getCleaningOrder()

### isTransactional

    public boolean isTransactional()

Copyright (c) 2005-2006 The Grails project